Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.expr
Enum CmpN.Comp

    java.lang.Object
      java.lang.Enum<CmpN.Comp>
          org.basex.query.expr.CmpN.Comp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CmpN.Comp>

Enclosing class:
  CmpN

    public static enum CmpN.Comp

extends java.lang.Enum<CmpN.Comp>

Comparators.

Enum Constant Summary
`EQ` Node Comparison: same.
`ET` Node Comparison: before.
`GT` Node Comparison: after.

Field Summary
`java.lang.String` | `name` String representation.

Method Summary
`abstract boolean` | `e(Item a, Item b)` Evaluates the expression.
`java.lang.String` | `toString()`
`static CmpN.Comp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CmpN.Comp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQ

    public static final CmpN.Comp EQ

  Node Comparison: same.

### ET

    public static final CmpN.Comp ET

  Node Comparison: before.

### GT

    public static final CmpN.Comp GT

  Node Comparison: after.

Field Detail

### name

    public final java.lang.String name

  String representation.

Method Detail

### values

    public static CmpN.Comp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CmpN.Comp c : CmpN.Comp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CmpN.Comp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### e

    public abstract boolean e(Item a,
                              Item b)
                       throws QueryException

  Evaluates the expression.

  Parameters:
    `a` - first item
    `b` - second item
  Returns:
    result
  Throws:
    `QueryException` - query exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<CmpN.Comp>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD